import { type Input } from 'valibot';
import type { NuxtUseScriptOptions } from '#nuxt-scripts';
export interface CloudflareWebAnalyticsApi {
    __cfBeacon: {
        load: 'single';
        spa: boolean;
        token: string;
    };
    __cfRl?: unknown;
}
declare global {
    interface Window extends CloudflareWebAnalyticsApi {
    }
}
export declare const CloudflareWebAnalyticsOptions: import("valibot").ObjectSchema<{
    /**
     * The Cloudflare Web Analytics token.
     *
     * Required when used for the first time.
     */
    token: import("valibot").StringSchema<string>;
    /**
     * Cloudflare Web Analytics enables measuring SPAs automatically by overriding the History API’s pushState function
     * and listening to the onpopstate. Hash-based router is not supported.
     *
     * @default true
     */
    spa: import("valibot").OptionalSchema<import("valibot").BooleanSchema<boolean>, undefined, boolean | undefined>;
}, undefined, {
    token: string;
    spa?: boolean | undefined;
}>;
export declare function useScriptCloudflareWebAnalytics<T extends CloudflareWebAnalyticsApi>(options?: Input<typeof CloudflareWebAnalyticsOptions>, _scriptOptions?: Omit<NuxtUseScriptOptions<T>, 'beforeInit' | 'use'>): any;
